//Emote_Rage.cs
// type /rage, get flames

function serverCmdRage(%client)
{
	if(isObject(%client.player))
		%client.player.emote(RageImage);
}

datablock ParticleData(RageParticle)
{
   dragCoefficient      = 1.0;
   gravityCoefficient   = 0.0;
   inheritedVelFactor   = 0.0;
   constantAcceleration = 0.0;
   lifetimeMS           = 750;
   lifetimeVarianceMS   = 250;
   useInvAlpha          = false;
   textureName          = "base/data/particles/cloud";
   spinSpeed		= 0.0;
   spinRandomMin	= -800.0;
   spinRandomMax	= 800.0;
   colors[0]     = "0.5 0.0 0.2 0.5";
   colors[1]     = "1.0 0.4 0.0 0.9";
   colors[2]     = "1.0 0.9 0.6 0.0";
   sizes[0]      = 0.5;
   sizes[1]      = 0.6;
   sizes[2]      = 0.4;
   times[0]      = 0.0;
   times[1]      = 0.2;
   times[2]      = 1.0;
};

datablock ParticleEmitterData(RageEmitter)
{
   ejectionPeriodMS = 30;
   periodVarianceMS = 0;
   ejectionVelocity = 2;
   ejectionOffset   = 0.3;
   velocityVariance = 0.5;
   thetaMin         = 0;
   thetaMax         = 120;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "RageParticle";

   uiName = "Emote - Rage";
};

datablock ShapeBaseImageData(RageImage)
{
	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = $HeadSlot;

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateTransitionOnTimeout[1]		= "Done";
	stateWaitForTimeout[1]			= True;
	stateTimeoutValue[1]			= 0.500;
	stateEmitter[1]					= RageEmitter;
	stateEmitterTime[1]				= 0.500;

	stateName[2]					= "Done";
	stateScript[2]					= "onDone";
};
function RageImage::onDone(%this,%obj,%slot)
{
	%obj.unMountImage(%slot);
}