//Emote_Sick.cs
// type /sick, vomit everywhere

function serverCmdSick(%client)
{
	if(isObject(%client.player))
		%client.player.emote(SickImage);
}

datablock ParticleData(SickParticle)
{
   dragCoefficient      = 2.0;
   gravityCoefficient   = 0.9;
   inheritedVelFactor   = 0.3;
   constantAcceleration = 0;
   lifetimeMS           = 1000;
   lifetimeVarianceMS   = 200;
   useInvAlpha          = true;
   textureName          = "base/data/particles/chunk";
   spinSpeed		= 0.0;
   spinRandomMin	= -300.0;
   spinRandomMax	= 300.0;
   colors[0]     = "0.7 0.7 0.6 0.8";
   colors[1]     = "0.6 0.8 0.5 0.9";
   colors[2]     = "0.2 0.6 0.4 0.0";
   sizes[0]      = 0.5;
   sizes[1]      = 0.5;
   sizes[2]      = 0.4;
   times[0]      = 0.0;
   times[1]      = 0.2;
   times[2]      = 1.0;
};

datablock ParticleEmitterData(SickEmitter)
{
   ejectionPeriodMS = 25;
   periodVarianceMS = 0;
   ejectionVelocity = 2.5;
   ejectionOffset   = 0.1;
   velocityVariance = 1.0;
   thetaMin         = 0;
   thetaMax         = 30;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "SickParticle";

   uiName = "Emote - Sick";
};

datablock ShapeBaseImageData(SickImage)
{
	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = $HeadSlot;

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateTransitionOnTimeout[1]		= "Done";
	stateWaitForTimeout[1]			= True;
	stateTimeoutValue[1]			= 0.500;
	stateEmitter[1]					= SickEmitter;
	stateEmitterTime[1]				= 0.500;

	stateName[2]					= "Done";
	stateScript[2]					= "onDone";
};
function SickImage::onDone(%this,%obj,%slot)
{
	%obj.unMountImage(%slot);
}