//Emote_Stress.cs
// type /stress, get sweaty

function serverCmdStress(%client)
{
	if(isObject(%client.player))
		%client.player.emote(StressImage);
}

datablock ParticleData(StressParticle)
{
   dragCoefficient      = 1.0;
   gravityCoefficient   = 0.7;
   inheritedVelFactor   = 0.3;
   constantAcceleration = 0.0;
   lifetimeMS           = 500;
   lifetimeVarianceMS   = 300;
   useInvAlpha          = false;
   textureName          = "base/data/particles/bubble";
   spinSpeed		= 0.0;
   spinRandomMin	= -80.0;
   spinRandomMax	= 80.0;
   colors[0]     = "1.0 1.0 1.0 1.0";
   colors[1]     = "0.9 1.0 1.0 0.5";
   colors[2]     = "0.8 0.9 1.0 0.0";
   sizes[0]      = 0.1;
   sizes[1]      = 0.1;
   sizes[2]      = 0.05;
   times[0]      = 0.0;
   times[1]      = 0.5;
   times[2]      = 1.0;
};

datablock ParticleEmitterData(StressEmitter)
{
   ejectionPeriodMS = 10;
   periodVarianceMS = 0;
   ejectionVelocity = 2.0;
   ejectionOffset   = 0.3;
   velocityVariance = 0.6;
   thetaMin         = 0;
   thetaMax         = 120;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "StressParticle";

   uiName = "Emote - Stress";
};

datablock ShapeBaseImageData(StressImage)
{
	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = $HeadSlot;

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateTransitionOnTimeout[1]		= "Done";
	stateWaitForTimeout[1]			= True;
	stateTimeoutValue[1]			= 0.500;
	stateEmitter[1]					= StressEmitter;
	stateEmitterTime[1]				= 0.500;

	stateName[2]					= "Done";
	stateScript[2]					= "onDone";
};
function StressImage::onDone(%this,%obj,%slot)
{
	%obj.unMountImage(%slot);
}