//Emote_Unlove.cs
// type /unlove or /hb, get broken hearts

function serverCmdUnlove(%client)
{
	if(isObject(%client.player))
		%client.player.emote(UnloveImage);
}

function serverCmdHb(%client)
{
	if(isObject(%client.player))
		%client.player.emote(UnloveImage);
}

datablock ParticleData(UnloveParticle)
{
   dragCoefficient      = 5.0;
   gravityCoefficient   = 0.6;
   inheritedVelFactor   = 0.0;
   constantAcceleration = 0.0;
   lifetimeMS           = 1000;
   lifetimeVarianceMS   = 500;
   useInvAlpha          = false;
   textureName          = "./Unlove";
   spinSpeed		= 0.0;
   spinRandomMin	= -80.0;
   spinRandomMax	= 80.0;
   colors[0]     = "0.8 0.0 0.8 0.7";
   colors[1]     = "0.4 0.0 1.0 0.5";
   colors[2]     = "0.0 0.0 0.8 0.0";
   sizes[0]      = 1.0;
   sizes[1]      = 1.4;
   sizes[2]      = 0.7;
   times[0]      = 0.0;
   times[1]      = 0.2;
   times[2]      = 1.0;
};

datablock ParticleEmitterData(UnloveEmitter)
{
   ejectionPeriodMS = 35;
   periodVarianceMS = 0;
   ejectionVelocity = 0.5;
   ejectionOffset   = 1.0;
   velocityVariance = 0.49;
   thetaMin         = 0;
   thetaMax         = 120;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "UnloveParticle";

   uiName = "Emote - Unlove";
};

datablock ShapeBaseImageData(UnloveImage)
{
	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = $HeadSlot;

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateTransitionOnTimeout[1]		= "Done";
	stateWaitForTimeout[1]			= True;
	stateTimeoutValue[1]			= 0.500;
	stateEmitter[1]					= UnloveEmitter;
	stateEmitterTime[1]				= 0.500;

	stateName[2]					= "Done";
	stateScript[2]					= "onDone";
};
function UnloveImage::onDone(%this,%obj,%slot)
{
	%obj.unMountImage(%slot);
}