//Emote_Cry.cs
// type /cry, get tears

function serverCmdCry(%client)
{
	if(isObject(%client.player))
		%client.player.emote(CryImage);
}

datablock ParticleData(CryParticle)
{
   dragCoefficient      = 3.0;
   gravityCoefficient   = 0.8;
   inheritedVelFactor   = 0.0;
   constantAcceleration = 0.0;
   lifetimeMS           = 1200;
   lifetimeVarianceMS   = 500;
   useInvAlpha          = false;
   textureName          = "./Cry";
   colors[0]     = "0.0 0.0 0.8 0.7";
   colors[1]     = "0.3 0.0 1.0 0.5";
   colors[2]     = "0.8 0.0 0.8 0.0";
   sizes[0]      = 0.6;
   sizes[1]      = 0.5;
   sizes[2]      = 0.4;
   times[0]      = 0.0;
   times[1]      = 0.2;
   times[2]      = 1.0;
};

datablock ParticleEmitterData(CryEmitter)
{
   ejectionPeriodMS = 50;
   periodVarianceMS = 0;
   ejectionVelocity = 0.5;
   ejectionOffset   = 1.0;
   velocityVariance = 0.5;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "CryParticle";

   uiName = "Emote - Cry";
};

datablock ShapeBaseImageData(CryImage)
{
	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = $HeadSlot;

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateTransitionOnTimeout[1]		= "Done";
	stateWaitForTimeout[1]			= True;
	stateTimeoutValue[1]			= 0.500;
	stateEmitter[1]					= CryEmitter;
	stateEmitterTime[1]				= 0.500;

	stateName[2]					= "Done";
	stateScript[2]					= "onDone";
};
function CryImage::onDone(%this,%obj,%slot)
{
	%obj.unMountImage(%slot);
}