//Emote_Joy.cs
// type /joy, get happy little flowers

function serverCmdJoy(%client)
{
	if(isObject(%client.player))
		%client.player.emote(JoyImage);
}

datablock ParticleData(JoyParticle)
{
   dragCoefficient      = 3.0;
   gravityCoefficient   = 0.1;
   inheritedVelFactor   = 0.0;
   constantAcceleration = 0.0;
   lifetimeMS           = 1400;
   lifetimeVarianceMS   = 300;
   useInvAlpha          = false;
   textureName          = "./Joy";
   spinSpeed		= 0.0;
   spinRandomMin	= -50.0;
   spinRandomMax	= 50.0;
   colors[0]     = "1.0 1.0 0.0 0.4";
   colors[1]     = "1.0 0.4 0.6 1.0";
   colors[2]     = "1.0 0.0 1.0 0.0";
   sizes[0]      = 0.6;
   sizes[1]      = 0.5;
   sizes[2]      = 0.4;
   times[0]      = 0.0;
   times[1]      = 0.5;
   times[2]      = 1.0;
};

datablock ParticleEmitterData(JoyEmitter)
{
   ejectionPeriodMS = 50;
   periodVarianceMS = 0;
   ejectionVelocity = 0.8;
   ejectionOffset   = 0.6;
   velocityVariance = 0.4;
   thetaMin         = 0;
   thetaMax         = 120;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "JoyParticle";

   uiName = "Emote - Joy";
};

datablock ShapeBaseImageData(JoyImage)
{
	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = $HeadSlot;

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateTransitionOnTimeout[1]		= "Done";
	stateWaitForTimeout[1]			= True;
	stateTimeoutValue[1]			= 0.500;
	stateEmitter[1]					= JoyEmitter;
	stateEmitterTime[1]				= 0.500;

	stateName[2]					= "Done";
	stateScript[2]					= "onDone";
};
function JoyImage::onDone(%this,%obj,%slot)
{
	%obj.unMountImage(%slot);
}